TEMPLATE = app
TARGET = libremediaserver-audio
QT += webkitwidgets widgets
HEADERS += src/libremediaserver-audio.h \
    src/cuetrackwidget.h \
    src/editcuetrackwidget.h \
    src/cuetracklistwidget.h \
    src/showplayer.h \
    src/clickabledoublespinbox.h \
    src/clickablelabel.h \
    src/clickableslider.h \
    src/dmxwidget.h \
    src/filterbankwidget.h \
    src/libremediaserver-audio-ui.h \
    src/ma_writer_node.h \
    src/main.h \
    src/medialibrary.h \
    src/miniaudio.h \
    src/ma_writer_node.h \
    src/miniaudioengine.h \
    src/olathread.h \
    src/audiolayerwidget.h \
    src/dmxPersonality.h \
    src/audiowidget.h \
    src/defines.h \
    src/settings.h \
    src/slidergroup.h \
    src/dialgroup.h \
    src/audiofade.h
SOURCES += src/main.cpp \
    src/cuetrackwidget.cpp \
    src/editcuetrackwidget.cpp \
    src/cuetracklistwidget.cpp \
    src/showplayer.cpp \
    src/clickabledoublespinbox.cpp \
    src/clickablelabel.cpp \
    src/clickableslider.cpp \
    src/dmxwidget.cpp \
    src/filterbankwidget.cpp \
    src/libremediaserver-audio-ui.cpp \
    src/libremediaserver-audio.cpp \
    src/medialibrary.cpp \
    src/miniaudio.c \
    src/miniaudioengine.cpp \
    src/ma_writer_node.c \
    src/olathread.cpp \
    src/audiolayerwidget.cpp \
    src/audiowidget.cpp \
    src/settings.cpp \
    src/slidergroup.cpp \
    src/dialgroup.cpp
FORMS += \
    src/cuetrackwidget.ui \
    src/showplayer.ui \
    src/libremediaserver-audio-ui.ui
CCFLAG += -msse2 -mavx2
QMAKE_CXXFLAGS += $$(CXXFLAG)
QMAKE_CFLAGS += $$(CCFLAG)
QMAKE_LFLAGS += $$(LDFLAG)
LIBS += -lola -lolacommon -ldl -lpthread -lm
OTHER_FILES += \
    LICENSE.txt \
    docs/compiling.txt \
    docs/changelog.txt \
    docs/lms-audio.xlm \
    docs/roadmap.txt
RESOURCES += \
    lms-resources.qrc
